import { createElement } from "../utils/createElement.js";
export class SVGInstance {
    constructor(tagName) {
        this.childInstances = [];
        this.element = createElement(tagName);
    }
    appendInstance(instance) {
        this.childInstances.push(instance);
        this.element.appendChild(instance.element);
        return this;
    }
    get innerHTML() {
        return this.element.innerHTML;
    }
    get outerHTML() {
        return this.element.outerHTML;
    }
    attr(attributeNameOrAttributeObjectOrUndefined, valueOrUndefined) {
        //-- Convert numeric strings to numbers
        const attributes = Object.entries(this.element.attributes).reduce((previous, [key, value]) => ({ ...previous, [key]: isNaN(+value) ? value : +value }), {});
        if (typeof attributeNameOrAttributeObjectOrUndefined === "undefined") {
            return attributes;
        }
        else if (typeof attributeNameOrAttributeObjectOrUndefined === "object") {
            if (Array.isArray(attributeNameOrAttributeObjectOrUndefined)) {
                return Object.fromEntries(Object.entries(attributes).filter(([key, value]) => attributeNameOrAttributeObjectOrUndefined.includes(key)));
            }
            else {
                Object.keys(attributeNameOrAttributeObjectOrUndefined).forEach((key) => { this.element.setAttribute(key, attributeNameOrAttributeObjectOrUndefined[key] + ""); });
                return this;
            }
        }
        else if (typeof attributeNameOrAttributeObjectOrUndefined === "string") {
            if (typeof valueOrUndefined === "undefined") {
                return attributes[attributeNameOrAttributeObjectOrUndefined] ?? null;
            }
            else {
                this.element.setAttribute(attributeNameOrAttributeObjectOrUndefined, valueOrUndefined + "");
                return this;
            }
        }
        return null;
    }
}
//# sourceMappingURL=SVGInstance.js.map