let _parentNode;
export default class ClassList extends Array {
    constructor(parentNode) {
        super();
        _parentNode = parentNode;
    }
    _updateAttribute() {
        if (this.length > 0) {
            _parentNode.setAttribute("class", this.value);
        }
        else {
            _parentNode.removeAttribute("class");
        }
    }
    add(className) {
        this.unshift(className);
        this._updateAttribute();
    }
    remove(className) {
        this.splice(this.indexOf(className), 1);
        this._updateAttribute();
    }
    toggle(className, force) {
        if (this.contains(className)) {
            if (force === true) {
                return true;
            }
            this.remove(className);
            return false;
        }
        else {
            if (force === false) {
                return false;
            }
            this.add(className);
            return true;
        }
    }
    get value() {
        return this.join(" ");
    }
    set value(value) {
        this.splice(0, this.length);
        this.push(...value.split(" "));
        this._updateAttribute();
    }
    contains(className) {
        return this.includes(className);
    }
}
//# sourceMappingURL=classList.js.map