import ClassList from "../classes/classList.js";
import Style from "../classes/style.js";
import { Node } from "../nodes/Node.js";
export declare class SVGElement extends Node {
    tagName: string;
    attributes: {
        [key: string]: string;
    };
    childNodes: Array<Node>;
    classList: ClassList;
    style: Style;
    constructor(tagName: string);
    get children(): Array<SVGElement>;
    get innerHTML(): string;
    set innerHTML(text: string);
    get outerHTML(): string;
    set innerText(text: string);
    get innerText(): string;
    setAttribute(attributeName: string, value: string): void;
    getAttribute(attributeName: string): string | null;
    removeAttribute(attributeName: string): void;
    toggleAttribute(attributeName: string, force?: boolean): boolean;
    hasAttribute(attributeName: string): boolean;
    hasAttributes(): boolean;
    get className(): string;
    set className(className: string);
    get id(): string | null;
    set id(id: string | null);
    appendChild<T extends Node>(node: T): T;
    get firstChild(): SVGElement | null;
    get lastChild(): SVGElement | null;
    hasChildNodes(): boolean;
    removeChild(child: SVGElement): SVGElement;
    getElementsByClassName(className: string): Array<SVGElement>;
    getElementsByTagName(tagName: string): Array<SVGElement>;
    getElementById(id: string): SVGElement | null;
    tabIndex(index: number): this;
}
