import { SVGInstance } from "../../node/instance/SVGInstance.js";
import { Color } from "../mixins/presentation-attributes/color.js";
import { Display } from "../mixins/presentation-attributes/display.js";
import { Fill } from "../mixins/presentation-attributes/fill.js";
import { Opacity } from "../mixins/presentation-attributes/opacity.js";
import { Stroke } from "../mixins/presentation-attributes/stroke.js";
import { VectorEffect } from "../mixins/presentation-attributes/vectorEffect.js";
import { Visibility } from "../mixins/presentation-attributes/visibility.js";
export declare class SVGPathInstance extends SVGInstance {
    constructor();
    lineTo(x: number, y: number, relative?: boolean): this;
    moveTo(x: number, y: number, relative?: boolean): this;
    cubicBezierCurveTo(p1x: number, p1y: number, p2x: number, p2y: number, x: number, y: number, relative?: boolean): this;
    smoothBezierCurveTo(x2: number, y2: number, x: number, y: number, relative?: boolean): this;
    quadraticBezierCurveTo(p1x: number, p1y: number, x: number, y: number, relative?: boolean): this;
    smoothQuadraticBezierCurveTo(x: number, y: number, relative?: boolean): this;
    ellipticalArcCurveTo(rx: number, ry: number, xRot: number, largeArc: boolean, sweep: boolean, x: number, y: number, relative?: boolean): this;
    curveTo(x: number, y: number, x1: number, y1: number, relative?: boolean): this;
    close(): this;
}
export interface SVGPathInstance extends SVGInstance, Color, Display, Fill, Opacity, Stroke, VectorEffect, Visibility {
}
