import { SVGInstance } from "../../../node/instance/SVGInstance.js";
export class XYPositioning extends SVGInstance {
    moveTo(x, y) {
        this.attr("x", x);
        this.attr("y", y);
        return this;
    }
    moveBy(dx, dy) {
        const x = this.attr("x") ?? 0 + dx;
        const y = this.attr("y") ?? 0 + dy;
        return this.moveTo(x, y);
    }
    x(x) {
        if (typeof x === "string" || typeof x === "number") {
            this.attr("x", x);
            return this;
        }
        return this.attr("x");
    }
    y(y) {
        if (typeof y === "string" || typeof y === "number") {
            this.attr("y", y);
            return this;
        }
        return this.attr("y");
    }
}
//# sourceMappingURL=xyPositioning.js.map